# Class NetPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
java.net.NetPermission

All Implemented Interfaces:
  `Serializable, Guard`

@Deprecated(since="25", forRemoval=true) public final class NetPermission extends BasicPermission
Deprecated, for removal: This API element is subject to removal in a future version.
This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
This class is for various network permissions. A NetPermission contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

The target name is the name of the network permission. The naming convention follows the hierarchical property naming convention, typically the reverse domain name notation, to avoid name clashes. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match. For example: "foo.*" and "*" signify a wildcard match, while "*foo" and "a*b" do not.

Since:
  1.2
See Also:
  - `BasicPermission`
  - `Permission`
  - `Permissions`
  - `PermissionCollection`
  - `SecurityManager`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetPermission(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new NetPermission with the specified name.
  `NetPermission(String name, String actions)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a new NetPermission object with the specified name.

- ## Method Summary

  ### Methods declared in class BasicPermission

  `equals, getActions, hashCode, implies, newPermissionCollection`

  ### Methods declared in class Permission

  `checkGuard, getName, toString`

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NetPermission

    public NetPermission(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new NetPermission with the specified name. The name is the symbolic name of the NetPermission, such as "setDefaultAuthenticator", etc. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match.
    Parameters:
      `name` - the name of the NetPermission.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.

  - ### NetPermission

    public NetPermission(String name, String actions)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new NetPermission object with the specified name. The name is the symbolic name of the NetPermission, and the actions String is currently unused and should be null.
    Parameters:
      `name` - the name of the NetPermission.
      `actions` - should be null.
    Throws:
      `NullPointerException` - if `name` is `null`.
      `IllegalArgumentException` - if `name` is empty.